const std = @import("std");

const MenuSelection = @import("MenuSelection.zig");

const Self = @This();

name: []const u8,
contents: []MenuSelection,
contents_buffer: [50]MenuSelection,

pub fn init(name: []const u8, contents: []const MenuSelection) Self {
    var ret = Self {
        .name = name,
        .contents = undefined,
        .contents_buffer = undefined,
    };
    std.mem.copy(MenuSelection, &ret.contents_buffer, contents);
    ret.contents = ret.contents_buffer[0..contents.len];
    return ret;
}
